Contacts
All operations require authentication.
List phonebooksProduction
List phonebooks. Returns the identifiers (bookKey) of the phonebooks of the SMS account. A phonebook stores contacts with their phone numbers.
Path parameters
The internal name of your SMS offer
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ sms/ {serviceName}/ phonebooks \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get a phonebookProduction
Get a phonebook. Returns the name and the identifier (bookKey) of the phonebook. Its contacts are listed with the phonebookContact route.
Path parameters
Identifier of the phonebook
The internal name of your SMS offer
Response
Identifier of the phonebook
Phonebook name
Phone key identifier between the phone and phonebooks
Example uses bookKey = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ sms/ {serviceName}/ phonebooks/ {bookKey} \
-H "authorization: Bearer $OVH_TOKEN"{ "bookKey": "string", "name": "string", "phoneKey": "string"}
Create a phonebookProduction
Create a phonebook. Creates a phonebook with a name. Returns its identifier (bookKey), used to add or import contacts.
Path parameters
The internal name of your SMS offer
Request body (required)
Name of the wanted phonebook
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ sms/ {serviceName}/ phonebooks \
-H "authorization: Bearer $OVH_TOKEN""string"
Delete a phonebookProduction
Delete a phonebook. Deletes the phonebook and its contacts. Export the contacts first to keep a copy of them.
Path parameters
Identifier of the phonebook
The internal name of your SMS offer
Response
Example uses bookKey = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ sms/ {serviceName}/ phonebooks/ {bookKey} \
-H "authorization: Bearer $OVH_TOKEN"Update a phonebookProduction
Update a phonebook. Updates the name of the phonebook. The contacts are updated one by one with the phonebookContact route.
Path parameters
Identifier of the phonebook
The internal name of your SMS offer
Request body (required)
Identifier of the phonebook
Phonebook name
Phone key identifier between the phone and phonebooks
Response
Example uses bookKey = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ sms/ {serviceName}/ phonebooks/ {bookKey} \
-H "authorization: Bearer $OVH_TOKEN"Export contactsProduction
Export contacts. Exports the contacts of the phonebook to a file in CSV format. Returns the file to download.
Path parameters
Identifier of the phonebook
The internal name of your SMS offer
Query parameters
Format of the file
csvResponse
File providing task status
doingdoneerrortodoExample uses bookKey = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ sms/ {serviceName}/ phonebooks/ {bookKey}/ export \
-H "authorization: Bearer $OVH_TOKEN"{ "filename": "string", "status": "doing", "url": "string", "urlExpirationDatetime": "2024-01-01T12:00:00Z"}
Import contactsProduction
Import contacts. Imports contacts into the phonebook from an Excel (.xls, .xlsx) or CSV file in /me/document. Returns the task that performs the import.
Path parameters
Identifier of the phonebook
The internal name of your SMS offer
Request body (required)
ID of the /me/document file you want to import
Response
Action associated with the task
Potential failure reason of the task
Object potentially created at the end of the task
Status of the task
doingdoneerrorpausetodoExample uses bookKey = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ sms/ {serviceName}/ phonebooks/ {bookKey}/ import \
-H "authorization: Bearer $OVH_TOKEN"{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}
List contactsProduction
List contacts. Returns the identifiers of the contacts of the phonebook. Get a contact for its name, group and phone numbers.
Path parameters
Identifier of the phonebook
The internal name of your SMS offer
Response
Example uses bookKey = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ sms/ {serviceName}/ phonebooks/ {bookKey}/ phonebookContact \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a contactProduction
Get a contact. Returns the contact: name, surname, group, and office and home phone numbers, landline and mobile.
Path parameters
Identifier of the phonebook
Contact identifier
The internal name of your SMS offer
Response
Group name of the phonebook
Home mobile phone number of the contact
Home landline phone number of the contact
Contact identifier
Contact name
Contact surname
Mobile phone office number of the contact
Landline phone office number of the contact
Example uses bookKey = string, id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ sms/ {serviceName}/ phonebooks/ {bookKey}/ phonebookContact/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "group": "string", "homeMobile": "string", "homePhone": "string", "id": 0, "name": "string", "surname": "string", "workMobile": "string", "workPhone": "string"}
Create a contactProduction
Create a contact. Creates a contact in the phonebook with a name, surname, group and phone numbers. Returns its identifier.
Path parameters
Identifier of the phonebook
The internal name of your SMS offer
Request body (required)
Group name of the phonebook
Home mobile phone number of the contact
Home landline phone number of the contact
Name of the contact
Contact surname
Mobile phone office number of the contact
Landline phone office number of the contact
Response
Example uses bookKey = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ sms/ {serviceName}/ phonebooks/ {bookKey}/ phonebookContact \
-H "authorization: Bearer $OVH_TOKEN"0
Delete a contactProduction
Delete a contact. Deletes the contact from the phonebook, with its name, group and office and home phone numbers.
Path parameters
Identifier of the phonebook
Contact identifier
The internal name of your SMS offer
Response
Example uses bookKey = string, id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ sms/ {serviceName}/ phonebooks/ {bookKey}/ phonebookContact/ {id} \
-H "authorization: Bearer $OVH_TOKEN"Update a contactProduction
Update a contact. Updates the contact: name, surname, group, and office and home phone numbers, landline and mobile.
Path parameters
Identifier of the phonebook
Contact identifier
The internal name of your SMS offer
Request body (required)
Group name of the phonebook
Home mobile phone number of the contact
Home landline phone number of the contact
Contact identifier
Contact name
Contact surname
Mobile phone office number of the contact
Landline phone office number of the contact
Response
Example uses bookKey = string, id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ sms/ {serviceName}/ phonebooks/ {bookKey}/ phonebookContact/ {id} \
-H "authorization: Bearer $OVH_TOKEN"List receiver listsProduction
List receiver lists. Returns the identifiers (slotId) of the receiver lists. A receiver list is a CSV or text document of numbers, used to send SMS in bulk.
Path parameters
The internal name of your SMS offer
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ sms/ {serviceName}/ receivers \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a receiver listProduction
Get a receiver list. Returns the receiver list: description, number of records and automatic update settings.
Path parameters
The internal name of your SMS offer
Slot number id
Response
Download file from URL before sending to contacts (works only with csvUrl and not document ID)
Is the object compatible with autoUpdate
Creation date of the document
Description name of the document
Number of receiver records in the document
Slot number id
Example uses serviceName = string, slotId = 0
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ sms/ {serviceName}/ receivers/ {slotId} \
-H "authorization: Bearer $OVH_TOKEN"{ "autoUpdate": true, "canAutoUpdate": true, "datetime": "2024-01-01T12:00:00Z", "description": "string", "records": 0, "slotId": 0}
Create a receiver listProduction
Create a receiver list. Creates a receiver list from a CSV file, given as a /me/document identifier or a URL. With a URL, the file can be downloaded again before each sending.
Path parameters
The internal name of your SMS offer
Request body (required)
Download file from URL before sending to contacts (works only with csvUrl and not document ID)
URL of the file you want to import
Description name of the document
ID of the /me/document file you want to import
Slot number id used to handle the document
Response
Download file from URL before sending to contacts (works only with csvUrl and not document ID)
Is the object compatible with autoUpdate
Creation date of the document
Description name of the document
Number of receiver records in the document
Slot number id
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ sms/ {serviceName}/ receivers \
-H "authorization: Bearer $OVH_TOKEN"{ "autoUpdate": true, "canAutoUpdate": true, "datetime": "2024-01-01T12:00:00Z", "description": "string", "records": 0, "slotId": 0}
Delete a receiver listProduction
Delete a receiver list. Deletes the receiver list. It can no longer be used as the receivers of an SMS sending (receiversSlotId).
Path parameters
The internal name of your SMS offer
Slot number id
Response
Example uses serviceName = string, slotId = 0
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ sms/ {serviceName}/ receivers/ {slotId} \
-H "authorization: Bearer $OVH_TOKEN"Update a receiver listProduction
Update a receiver list. Updates the description of the receiver list and its automatic update, which downloads the file from its URL before each sending.
Path parameters
The internal name of your SMS offer
Slot number id
Request body (required)
Download file from URL before sending to contacts (works only with csvUrl and not document ID)
Is the object compatible with autoUpdate
Creation date of the document
Description name of the document
Number of receiver records in the document
Slot number id
Response
Example uses serviceName = string, slotId = 0
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ sms/ {serviceName}/ receivers/ {slotId} \
-H "authorization: Bearer $OVH_TOKEN"Clean a receiver listProduction
Clean a receiver list. Removes the invalid and inactive numbers from the receiver list, with an HLR lookup on each number. A report is sent by email at the end.
Path parameters
The internal name of your SMS offer
Slot number id
Request body (required)
Limit checks to syntaxical validation
Only get action's price in credits without executing it
Response
Example uses serviceName = string, slotId = 0
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ sms/ {serviceName}/ receivers/ {slotId}/ clean \
-H "authorization: Bearer $OVH_TOKEN"{ "taskId": 0, "totalCreditsRemoved": 0}
Get the receiver list CSVProduction
Get the receiver list CSV. Returns the content of the receiver list in CSV format. The number of records is given when getting the receiver list.
Path parameters
The internal name of your SMS offer
Slot number id
Response
Example uses serviceName = string, slotId = 0
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ sms/ {serviceName}/ receivers/ {slotId}/ csv \
-H "authorization: Bearer $OVH_TOKEN""string"